commit:     53af8fd4069bc353a47285da50132dc84298d547
Author:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 19 01:05:08 2023 +0000
Commit:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Tue Sep 19 01:14:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53af8fd4

dev-util/vulkan-tools: Support multiple window systems

Closes: https://bugs.gentoo.org/907071
Closes: https://bugs.gentoo.org/912402

Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>

 .../{vulkan-tools-9999.ebuild => vulkan-tools-1.3.261-r1.ebuild}    | 6 ++++--
 dev-util/vulkan-tools/vulkan-tools-9999.ebuild                      | 6 ++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

diff --git a/dev-util/vulkan-tools/vulkan-tools-9999.ebuild 
b/dev-util/vulkan-tools/vulkan-tools-1.3.261-r1.ebuild
similarity index 93%
copy from dev-util/vulkan-tools/vulkan-tools-9999.ebuild
copy to dev-util/vulkan-tools/vulkan-tools-1.3.261-r1.ebuild
index 1269dcab52ee..aeda890581ac 100644
--- a/dev-util/vulkan-tools/vulkan-tools-9999.ebuild
+++ b/dev-util/vulkan-tools/vulkan-tools-1.3.261-r1.ebuild
@@ -24,8 +24,7 @@ LICENSE="Apache-2.0"
 SLOT="0"
 IUSE="cube wayland +X"
 
-# Cube demo only supports one window system at a time
-REQUIRED_USE="cube? ( ^^ ( X wayland ) )"
+REQUIRED_USE="cube? ( || ( X wayland ) )"
 
 BDEPEND="${PYTHON_DEPS}
        cube? ( ~dev-util/glslang-${PV}:=[${MULTILIB_USEDEP}] )
@@ -51,6 +50,9 @@ pkg_setup() {
                /usr/bin/vkcube
                /usr/bin/vkcubepp
        )
+       use cube && use wayland && MULTILIB_CHOST_TOOLS+=(
+               /usr/bin/vkcube-wayland
+       )
 
        python-any-r1_pkg_setup
 }

diff --git a/dev-util/vulkan-tools/vulkan-tools-9999.ebuild 
b/dev-util/vulkan-tools/vulkan-tools-9999.ebuild
index 1269dcab52ee..aeda890581ac 100644
--- a/dev-util/vulkan-tools/vulkan-tools-9999.ebuild
+++ b/dev-util/vulkan-tools/vulkan-tools-9999.ebuild
@@ -24,8 +24,7 @@ LICENSE="Apache-2.0"
 SLOT="0"
 IUSE="cube wayland +X"
 
-# Cube demo only supports one window system at a time
-REQUIRED_USE="cube? ( ^^ ( X wayland ) )"
+REQUIRED_USE="cube? ( || ( X wayland ) )"
 
 BDEPEND="${PYTHON_DEPS}
        cube? ( ~dev-util/glslang-${PV}:=[${MULTILIB_USEDEP}] )
@@ -51,6 +50,9 @@ pkg_setup() {
                /usr/bin/vkcube
                /usr/bin/vkcubepp
        )
+       use cube && use wayland && MULTILIB_CHOST_TOOLS+=(
+               /usr/bin/vkcube-wayland
+       )
 
        python-any-r1_pkg_setup
 }

Reply via email to